### Signal

# Gtk TreeModel::row-deleted

#### Declaration

    void
    row_deleted (
      GtkTreeModel* self,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a row has been deleted.

Note that no iterator is passed to the signal handler, since the row is already deleted.

This should be called by models after a row has been removed. The location pointed to by `path` should be the location that the row previously was at. It may not be a valid location anymore.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` identifying the row.

  The data is owned by the caller of the function.